Subject: Re: [saag] [tsvwg] I-D Action: draft-ietf-tsvwg-port-use-00.txt

From: Eliot Lear <[email-masked]>
Date: Wed, 06 Jun 2012 11:27:13 +0200

Joe,

I support the development of this draft, and would be willing to provide
you with both content and editorial assistance.  I would ask that (at
least) one additional important question be considered by this group and
the security area:

  * Is a request for a static port assignment in order to accommodate
    firewalls still an appropriate reason?

I ask this question because there have been applications for as many as
six ports for related or very similar services that could all be
dynamically discovered from one.  Some come back and say that they are
concerned that firewalls will prevent the service from functioning
properly.  What is the IETF's point of view on this?

Eliot

On 6/5/12 2:08 AM, Joe Touch wrote:
> Hi, all,
>
> I've resubmitted this as a WG doc. The major changes were to include
> full references for previous placeholders and a few minor notes.
>
> It would be useful to get feedback on whether there are any areas that
> should be addressed that are not listed before diving into the two key
> issues I hope we can discuss as part of this doc:
>
>     - whether to deprecate the distinction between system and
>     user ports (or to do nothing at this time)
>
>     - whether to make stronger recommendations on the use of
>     security on port services (i.e., whether security "should"
>     be supported for new services, or to make no specific
>     recommendation at this time)
>
> Any gap material notes would be most useful now, though.
>
> Joe
>
> On 5/31/2012 11:34 PM, [email-masked] wrote:
>>
>> A New Internet-Draft is available from the on-line Internet-Drafts
>> directories. This draft is a work item of the Transport Area Working
>> Group Working Group of the IETF.
>>
>>     Title           : Recommendations for Transport Port Uses
>>     Author(s)       : Joe Touch
>>     Filename        : draft-ietf-tsvwg-port-use-00.txt
>>     Pages           : 11
>>     Date            : 2012-05-30
>>
>>     This document provides recommendations to application and service
>>     designers on how to use the transport protocol port number space to
>>     help in its preservation. **NOTE THAT THIS CURRENT VERSION IS
>>     LARGELY AN OUTLINE OF ISSUES**.
>>
>>
>> A URL for this Internet-Draft is:
>> http://www.ietf.org/internet-drafts/draft-ietf-tsvwg-port-use-00.txt
>>
>> Internet-Drafts are also available by anonymous FTP at:
>> ftp://ftp.ietf.org/internet-drafts/
>>
>> This Internet-Draft can be retrieved at:
>> ftp://ftp.ietf.org/internet-drafts/draft-ietf-tsvwg-port-use-00.txt
>>
>> The IETF datatracker page for this Internet-Draft is:
>> https://datatracker.ietf.org/doc/draft-ietf-tsvwg-port-use/
>>
>
>

---

From: Joe Touch <[email-masked]>
Date: Wed, 06 Jun 2012 13:26:54 -0700

>     firewalls still an appropriate reason?

Good point - I think that this is still inevitable for one assignment.

FWIW, I don't see a reason for 6 of anything - separate connections to a 
single port can often suffice in such cases, and firewall management for 
more than one port is complex (what happens when only a subset of the 
ports are open? how do you know, and how do you recover?).

Joe